Skip to main content
PUT
/
identity
/
v1
/
departments
/
{departmentId}
Updates a department in the caller's organization.
curl --request PUT \
  --url https://api.sandbox.tesouro.com/identity/v1/departments/{departmentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdDateTime": "2023-11-07T05:31:56Z",
  "memberCount": 123,
  "name": "<string>",
  "updatedDateTime": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

departmentId
string<uuid>
required

The ID of the department to update.

Body

Cancellation token.

name
string
required

Response

Department updated successfully.

id
string<uuid>
required
createdDateTime
string<date-time>
required
memberCount
required
name
string
required
updatedDateTime
string<date-time>
required